media key로 미디어 가져오기
curl --request GET \
--url https://api.x.com/2/media/{media_key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/media/{media_key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/media/{media_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}media key로 미디어 가져오기
지정된 media key를 사용해 특정 미디어 파일의 세부 정보를 조회합니다.
GET
/
2
/
media
/
{media_key}
media key로 미디어 가져오기
Authorizations
BearerTokenOAuth2UserTokenUserToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
단일 media key입니다. 이 첨부 파일에 대한 Media Key 식별자입니다.
Pattern:
^([0-9]+)_([0-9]+)$Query Parameters
요청에 포함할 Media 필드의 쉼표로 구분된 목록입니다. Media 객체에서 지정할 수 있는 필드입니다.
Minimum array length:
1Available options:
alt_text, duration_ms, height, media_key, non_public_metrics, organic_metrics, preview_image_url, promoted_metrics, public_metrics, type, url, variants, width Example:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
Response
요청이 성공했습니다.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes